/*!
 * iparapheur Web
 * Copyright (C) 2019-2025 Libriciel SCOP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */


.opacity-0 {
  opacity: 0;
}

.cursor-default {
  cursor: default;
}

table {
  word-wrap: anywhere;
}

.icon-column {
  width: 2.3rem;
  min-width: 2.3rem;
  max-width: 2.3rem;
}

.col-name {
  width: 21.5rem;
  min-width: 21.5rem;
  max-width: 21.5rem;
}

.col-name-reduced {
  width: 8rem;
  min-width: 8rem;
  max-width: 8rem;
}

.col-id-unsortable-fixed-size {
  width: 13.5rem;
  min-width: 13.5rem;
  max-width: 13.5rem;
}

.col-actions-fixed-size {
  width: 2rem;
  min-width: 2rem;
  max-width: 2rem;
}

.delete-icon {
  color: #2D9CA1;
}

.delete-icon:hover {
  color: #dc3545;
}

.delete-icon-secondary {
  color: #6c757d;
}

.delete-icon-secondary:hover {
  color: #dc3545;
}

.show-icons-on-hover .hidden-icon {
  display: none;
}

.show-icons-on-hover:hover .hidden-icon {
  display: inline;
}

.dropdown-toggle::after {
  display: none;
}

.custom-font-size {
  font-size: 90%;
}

.custom-popup {
  background-color: #dedede;
}
